#include "stdafx.h"

#include <grts/structs.model.h>

#include <grtpp_util.h>

#include "wbcanvas/model_figure_impl.h"

//================================================================================
// model_Figure


void model_Figure::init()
{
}

void model_Figure::set_data(ImplData *data)
{
  _data= data;
  model_Object::set_data(data);
}

model_Figure::~model_Figure()
{
}


void model_Figure::color(const grt::StringRef &value)
{
  grt::ValueRef ovalue(_color);
  _color= value;
  owned_member_changed("color", ovalue, value);
}

void model_Figure::layer(const model_LayerRef &value)
{
  grt::ValueRef ovalue(_layer);
  get_data()->set_layer(value);
  owned_member_changed("layer", ovalue, value);
}




